<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-4">
  <a class="navbar-brand" routerLink="/">Mon carnet d'entraînement</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarText">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link" routerLink="/trainings" routerLinkActive="active">Entraînements</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/exercices" routerLinkActive="active">Exercices</a>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto">
      <ng-container *ngIf="!isAuthenticated()">
        <li class="nav-item">
          <a class="nav-link" routerLink="/login">Connexion</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/signup">Inscription</a>
        </li>
      </ng-container>
      <ng-container *ngIf="isAuthenticated()">
        <li class="nav-item">
          <a class="nav-link" (click)="onLogout()" style="cursor:pointer">Déconnexion</a>
        </li>
      </ng-container>
    </ul>
  </div>
</nav>